Support OpenGL 3.2 ???

Discussion in 'Windows Guest OS Discussion' started by PatrickM10, Jul 27, 2017.

  1. PatrickM10

    PatrickM10 Bit Poster

    Messages:
    2
    When I go look up the article on OpenGL support, it says Parallels now supports OpenGL 3.2. Here is what is written as an answer in this article at http://kb.parallels.com/en/115487,
    "Answer
    You may get this error message if a program requires an OpenGL compatibility profile, which is not supported on macOS, meaning we are currently unable to create this functionality.

    Regardless, Parallels Desktop Engineering team does its best to improve OpenGL support in Windows virtual machines. As of now, only OpenGL core profile (version 3.2) is supported in Windows virtual machines. Subscribe to this article to receive updates on the progress."

    ... but when I try to load a game called Northgard, I get this message : "The application was unable to create an OpenGL context for your Paralless Display Adapter (WDDM) video card. OpenGL 3.1+ is required, please update your driver."
    If its true that it support version 3.2 what am I doing wrong?

    P.
     
  2. Hemnath@Parallels

    Hemnath@Parallels Parallels Support

    Messages:
    1,128
    Hello @PatrickM10. The article you mentioned refers to the core profile of OpenGL when it says that version 3.2 is supported. The error message that appears when loading the said game does not refer to the core profile.
     
  3. PatrickM10

    PatrickM10 Bit Poster

    Messages:
    2
    Alright, not something a regular someone would know I guess. I thought I was pretty versed in computer electronics and I have no idea what the difference is. Even though I'm and advanced business solution iOS and Mac developer. I guess I should start programming games too.

    Maybe someone should update the article with a more detailed explanation that way, others like me would not waste your time. Thanks,

    Patrick M.
     

Share This Page